# Interface VcfAnnotator

All Superinterfaces:
  `CommandLine`

All Known Implementing Classes:
  `SnpEffCmdEff, VcfAnnotatorChain`

public interface VcfAnnotator extends CommandLine
Annotate a VCF file: E.g. add information to INFO column

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addHeaders(VcfFileIterator vcfFile)`
Add annotation headers to VCF file
`boolean`
`annotate(VcfEntry vcfEntry)`
Annotate a VCF file entry
`boolean`
`annotateFinish(VcfFileIterator vcfFile)`
This method is called after all annotations have been performed.
`boolean`
`annotateInit(VcfFileIterator vcfFile)`
Initialize annotator: This method is called after vcfFile is opened, but before the header is output.
`void`
`setConfig(Config config)`
Set configuration
`void`
`setDebug(boolean debug)`
Set debug mode
`void`
`setVerbose(boolean verbose)`
Set verbose mode

### Methods inherited from interface CommandLine

`getArgs, parseArgs, run, usage`

## Method Details

### addHeaders

boolean addHeaders(VcfFileIterator vcfFile)
Add annotation headers to VCF file

Returns:
  true if OK, false on error

### annotate

boolean annotate(VcfEntry vcfEntry)
Annotate a VCF file entry

Returns:
  true if the entry was annotated

### annotateFinish

boolean annotateFinish(VcfFileIterator vcfFile)
This method is called after all annotations have been performed. The vcfFile might have already been closed by this time (i.e. the VcfFileIterator reached the end).

Returns:
  true if OK, false on error

### annotateInit

boolean annotateInit(VcfFileIterator vcfFile)
Initialize annotator: This method is called after vcfFile is opened, but before the header is output. The first vcfEntry might have (and often has) already been read from the file.

Returns:
  true if OK, false on error

### setConfig

void setConfig(Config config)
Set configuration

### setDebug

void setDebug(boolean debug)
Set debug mode

### setVerbose

void setVerbose(boolean verbose)
Set verbose mode